Wsparcie Bitdefender dla przestarzałych rozszerzeń jądra w macOS

Po ostatniej aktualizacji macOS Catalina do wersji 10.15.4 wszyscy użytkownicy Bitdefender prawdopodobnie zobaczą ten komunikat:

Starsze rozszerzenia systemowe

Oprogramowanie Istniejące w systemie załadowało rozszerzenie systemowe podpisane przez „Bitdefender SRL”. Będzie ono niezgodne z przyszłą wersją systemu macOS. Aby uzyskać wsparcie, skontaktuj się z jego deweloperem.

Apple ogłosiło już, że następna główna wersja systemu macOS przestanie obsługiwać rozszerzenia jądra. W szczególności Apple zastąpi interfejsy programowania jądra (KPI) interfejsami API EndpointSecurity i NetworkExtension, które pod względem technicznym są zupełnie inne, pomimo podobnej nazwy. Szczegółowe informacje można znaleźć w tym artykule Apple.

W Bitdefender jesteśmy świadomi tej zmiany. Aktualnie pracujemy nad nową wersją Endpoint Security dla komputerów Mac i zapewnimy pełne wsparcie dla tej technologii przed oficjalnym wydaniem kolejnej wersji systemu macOS, która ma się pojawić w tym roku.

Źródło: https://www.bitdefender.com/support/Bitdefender-Support-for-Deprecated-Kernel-Extensions-in-macOS-2531.html